POST /api/skills/import/preview
curl --request POST \
--url https://app.worksong.ai/api/skills/import/preview \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"repo": "<string>",
"path": "<string>",
"ref": "<string>"
}
'import requests
url = "https://app.worksong.ai/api/skills/import/preview"
payload = {
"repo": "<string>",
"path": "<string>",
"ref": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({repo: '<string>', path: '<string>', ref: '<string>'})
};
fetch('https://app.worksong.ai/api/skills/import/preview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.worksong.ai/api/skills/import/preview",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'repo' => '<string>',
'path' => '<string>',
'ref' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.worksong.ai/api/skills/import/preview"
payload := strings.NewReader("{\n \"repo\": \"<string>\",\n \"path\": \"<string>\",\n \"ref\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.worksong.ai/api/skills/import/preview")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"repo\": \"<string>\",\n \"path\": \"<string>\",\n \"ref\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.worksong.ai/api/skills/import/preview")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"repo\": \"<string>\",\n \"path\": \"<string>\",\n \"ref\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"repo": "<string>",
"path": "<string>",
"sha": "<string>",
"skills": [
{
"key": "<string>",
"kind": "skill",
"name": "<string>",
"description": "<string>",
"fileCount": 4503599627370495,
"sizeBytes": 4503599627370495,
"leftOutFiles": 4503599627370495,
"problems": [
"<string>"
],
"alreadyHave": true
}
],
"leftOut": [
{
"what": "<string>",
"count": 4503599627370495,
"why": "<string>"
}
],
"source": "github",
"private": true
}Skills
POST /api/skills/import/preview
What is in a public GitHub repo?
POST
/
api
/
skills
/
import
/
preview
POST /api/skills/import/preview
curl --request POST \
--url https://app.worksong.ai/api/skills/import/preview \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"repo": "<string>",
"path": "<string>",
"ref": "<string>"
}
'import requests
url = "https://app.worksong.ai/api/skills/import/preview"
payload = {
"repo": "<string>",
"path": "<string>",
"ref": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({repo: '<string>', path: '<string>', ref: '<string>'})
};
fetch('https://app.worksong.ai/api/skills/import/preview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.worksong.ai/api/skills/import/preview",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'repo' => '<string>',
'path' => '<string>',
'ref' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.worksong.ai/api/skills/import/preview"
payload := strings.NewReader("{\n \"repo\": \"<string>\",\n \"path\": \"<string>\",\n \"ref\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.worksong.ai/api/skills/import/preview")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"repo\": \"<string>\",\n \"path\": \"<string>\",\n \"ref\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.worksong.ai/api/skills/import/preview")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"repo\": \"<string>\",\n \"path\": \"<string>\",\n \"ref\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"repo": "<string>",
"path": "<string>",
"sha": "<string>",
"skills": [
{
"key": "<string>",
"kind": "skill",
"name": "<string>",
"description": "<string>",
"fileCount": 4503599627370495,
"sizeBytes": 4503599627370495,
"leftOutFiles": 4503599627370495,
"problems": [
"<string>"
],
"alreadyHave": true
}
],
"leftOut": [
{
"what": "<string>",
"count": 4503599627370495,
"why": "<string>"
}
],
"source": "github",
"private": true
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json